Name:           rhsc-cli
Version: 3.0.0.0
Release: 0.2%{?dist}
Summary:        RHSC Engine Command Line Interface
Group:          Development/Libraries
License:        ASL 2.0
URL:            http://ovirt.org
Source0:        http://ovirt.org/releases/stable/src/%{name}-%{version}.tar.gz

BuildRequires: python2-devel
BuildRequires: python-setuptools-devel
BuildRequires: python-ply
BuildRequires: python-kitchen

BuildArch: noarch

Requires: python
Requires: rhsc-sdk-python >= 3.0.0.0
Requires: python-setuptools
Requires: python-ply
Requires: python-kitchen
Conflicts: python-cli

%description
The command line interface for RHSC Engine.

%prep
%setup -q -n %{name}

%build

# Call the method that generates the parsing tables, so that they
# are generated and included in the package:
pushd src
  %{__python} -c 'import cli.parser; parser = cli.parser.Parser(); parser._write_tables()'
popd

%{__python} -c 'import setuptools; execfile("setup.py")' build


%install
%{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/ovirtcli
%{python_sitelib}/cli
%{python_sitelib}/rhsc_shell-*
%attr (755,root,root)/usr/bin/rhsc-shell
%doc README
%doc AUTHORS
%doc LICENSE

%changelog
* Thu Jun 12 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 3.0.0.0-0.2
- fix dist issue

* Wed May 07 2014 Bala FA <barumuga@redhat.com> - 3.0.0.0-0.1
- Initial build
